Bug 582455 - Java fontconfig needs to be updated for Japanese
Java fontconfig needs to be updated for Japanese
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F14Target
  Show dependency treegraph
 
Reported: 2010-04-14 22:37 EDT by fujiwara
Modified: 2011-02-02 14:37 EST (History)
7 users (show)

See Also:
Fixed In Version: java-1.6.0-openjdk-1.6.0.0-51.1.9.5.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 03:19:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description fujiwara 2010-04-14 22:37:44 EDT
Currently Japanese default font is VL Gothic and Japanese chars are not shown with Java in Fedora F13/rawhide.

% fc-match monospace:lang=ja-jp
VL-Gothic-Regular.ttf: "VL Gothic" "regular"

/usr/lib/jvm/jre-1.6.0-openjdk.x86_64/lib/fontconfig.Fedora.[bfc|properties.src] needs to be updated.

The following is the fixing script.

$ cat java-font.sh 
#!/bin/sh

FONTCONFIG_FILE=/usr/lib/jvm/jre-1.6.0-openjdk.x86_64/lib/fontconfig.Fedora.properties.src

sed -i -e 's/Sazanami Gothic/VL Gothic/g' \
       -e 's/Sazanami Mincho/VL Gothic/g' \
       -e '/filename.Sazanami_Gothic=/a\
filename.VL_Gothic=/usr/share/fonts/vlgothic/VL-Gothic-Regular.ttf' \
       $FONTCONFIG_FILE

I also checked RHEL6 and it seems fontconfig.RedHat.properties.[bfc|properties.src] doesn't exist.

fontconfig.RedHat.properties.[bfc|properties.src] could be copy of fontconfig.Fedora.[bfc|properties.src] with above my fix.

It would be good to fix Fedora rawhide/13 and RHEL 6.
Comment 1 fujiwara 2010-04-15 02:33:27 EDT
my typo:

s/fontconfig.RedHat.properties.[bfc|properties.src]/fontconfig.RedHat.[bfc|properties.src]/

Probably it would be good the current fontconfig.Fedora.* might be moved to fontconfig.RedHat.5.0.* but not 6.0.
Comment 2 Bug Zapper 2010-07-30 07:20:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Nicolas Mailhot 2010-08-10 04:53:51 EDT
This is only fixing the symptom.

openjdk should provide access to all the fonts registered in fontconfig by default and not wait for someone to declare them in property files. Those files are a leftover from SUN's “let's reinvent our own private font stack” effort, they don't belong in a properly integrated floss jdk, and they are hampering the use of java on Linux for anything that needs to render text.
Comment 6 jiri vanek 2010-11-11 03:19:10 EST
added icedtea patch for java's fontconfig files
Comment 7 Fedora Update System 2011-02-01 10:38:46 EST
java-1.6.0-openjdk-1.6.0.0-51.1.9.5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-51.1.9.5.fc14
Comment 8 Fedora Update System 2011-02-01 10:40:52 EST
java-1.6.0-openjdk-1.6.0.0-49.1.8.5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-49.1.8.5.fc13
Comment 9 Fedora Update System 2011-02-02 14:34:44 EST
java-1.6.0-openjdk-1.6.0.0-49.1.8.5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-02-02 14:37:32 EST
java-1.6.0-openjdk-1.6.0.0-51.1.9.5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.